#ifndef BULLET_H
#define BULLET_H

#include <cstdint>
#include <num/num.h>

class Bullet
{
    public:
        Bullet( uint16_t lx, uint16_t ly, uint8_t id );
        ~Bullet();
        void Update( float dt );
        void Render();

        uint8_t ID;

        libnum::num x, y;
        libnum::num sx, sy;

        uint8_t strength;

        bool toberemoved;
};

#endif //PARTICLES_H