#ifndef MYAZURSHADERS_H
#define MYAZURSHADERS_H


#include "starfield.h"
#include <vector>

void azrp_pixel(int x1, int y1, int color);

void azrp_pixellist(std::vector<Pixel*> const &list, int fragnum );


#define SHOW_PIXELS 1
#define SHOW_STARS  2

void azrp_starfield( void );
void azrp_starfield_init( uint8_t nbstars );
void azrp_starfield_close( void );
void azrp_starfield_USBDEBUG( uint8_t info );

#endif //MYAZURSHADERS_H